@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;700&display=swap");

*,
*::before,
*::after {
  box-sizing: border-box;
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

body {
  font-family: "Rubik", sans-serif;
  background-color: #171717;
}

.container {
  width: 1100px;
  margin: 0 auto;
}

/* top menu styles */

.top-menu {
  margin-top: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.contact-info {
  display: flex;
  justify-content: space-between;
}

.top-menu-number {
  margin-right: 40px;
  font-size: 20px;
  line-height: 29px;
  color: #ffffff;
  padding-top: 10px;
}

.call-btn {
  border: 1px solid #e4b564;
  padding: 10px 25px;
}

.call-btn a {
  color: #e4b564;
  font-size: 18px;
  line-height: 29px;
}

.call-btn img {
  margin-right: 10px;
}

.yellow-numbers {
  color: #e4b564;
}

/* main content styles */

.main-info {
  margin-top: 100px;
  color: #ffffff;
  font-weight: 700;
}

.heading {
  font-size: 50px;
  line-height: 28px;
  margin-bottom: 40px;
}

.description {
  margin-bottom: 40px;
}

/* grid-styles */

.grid-wrapper {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 2fr;
  grid-template-rows: repeat(2, 350px);
  grid-template-areas:
    "ground-works underground-laying underground-laying canalisation-arrangement"
    "prop-arrangement prop-arrangement well-arrangement well-arrangement";
  grid-gap: 20px;
}

.ground-works {
  background-image: url("/img/ground-work.png");
  background-attachment: fixed;
  background-size: 100%;
  grid-area: ground-works;
  display: grid;
  justify-items: center;
  align-items: center;
}

.underground-laying {
  background-image: url("/img/underground-laying.png");
  background-attachment: fixed;
  background-size: 100%;
  grid-area: underground-laying;
  display: grid;
  justify-items: center;
  align-items: center;
  text-align: center;
}

.canalisation-arrangement {
  background-image: url("/img/canalisation-arrangement.png");
  background-attachment: fixed;
  background-size: 100%;
  grid-area: canalisation-arrangement;
  display: grid;
  justify-items: center;
  align-items: center;
}

.prop-arrangement {
  background-image: url("/img/prop-arrangement.png");
  background-attachment: fixed;
  background-size: 100%;
  grid-area: prop-arrangement;
  display: grid;
  justify-items: center;
  align-items: center;
}

.well-arrangement {
  background-image: url("/img/well-arrangement.png");
  background-attachment: fixed;
  background-size: 100%;
  grid-area: well-arrangement;
  display: grid;
  justify-items: center;
  align-items: center;
}

/* construction-machinery styles */

.construction-machinery {
  color: #ffffff;
}

.our-machines {
  font-size: 50px;
  line-height: 28px;
  margin-top: 160px;
}

.flex-wrapper {
  display: flex;
  justify-content: space-between;
  padding: 0;
  gap: 20px;
  margin-top: 90px;
  height: 650px;
  width: 100%;
}

.first-column {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 33.3%;
}

.suction-machine {
  background-color: #0e0e0e;
  height: 35%;
  padding: 40px 100px 150px 40px;
}

.suction-machine span {
  display: block;
}

.kamaz-65115 {
  font-weight: 700;
  margin-top: 10px;
}

.loader-machine {
  background-color: #1f1f1f;
  height: 65%;
  padding: 40px 100px 150px 40px;
}

.loader-machine span {
  display: block;
}

.second-column {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 33.3%;
}

.sewer-washing-machine {
  background-color: #242424;
  height: 60%;
  padding: 40px 20px 150px 40px;
}

.sewer-washing-machine span {
  display: block;
}

.kamaz-3572 {
  font-weight: 700;
  margin-top: 10px;
}

.excavator {
  background-color: #e4b564;
  height: 40%;
  padding: 40px 20px 150px 40px;
  color: #000000;
}

.third-column {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 33.3%;
}

.excavator-loader {
  background-color: #1f1f1f;
  height: 33.33%;
  padding: 40px 20px 150px 40px;
}

.kamaz-machine {
  background-color: #0e0e0e;
  height: 33.33%;
  padding: 40px 20px 150px 40px;
}

.rink-machine {
  background-color: #0a0909;
  height: 29.8%;
  padding: 40px 20px 150px 40px;
}

/* our projects styles */

.our-projects {
  background-color: #0e0e0e;
  margin: 170px 0px 200px 0px;
  padding-top: 170px;
}

.our-projects-container {
  width: 1100px;
  margin: 0 auto;
}

.projects-menu-flex-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}

.our-clients-heading {
  color: #ffffff;
  font-size: 50px;
  line-height: 28px;
  margin-bottom: 40px;
}

.all-projects-btn {
  color: #e4b564;
  font-size: 18px;
  line-height: 29px;
  border: 1px solid #e4b564;
  padding: 10px 25px;
}

.grid-logos {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 300px;
}

.grid-logos a {
  display: flex;
  justify-content: center;
  align-items: center;
}

.euroinvest {
  background-color: #634f2c;
}

.mavis {
  background-color: #e8d2abc2;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.mavis p {
  padding: 0px 35px;
  text-align: center;
  text-decoration: none;
  font-size: 22px;
  color: #ffffff;
}

.mavis span {
  font-weight: 700;
}

.arsenal {
  background-color: #e4b564;
}

.arsenal-2 {
  background-color: #635a4a;
}

.euroinvest-2 {
  background-color: #b08c4d;
}

.mavis-2 {
  background-color: #634f2c;
}
